
%global meadversion 3.1.0
%global namedversion 3.1.0.SP1-redhat-00001
%global meadalpha .SP1_redhat_00001
%global meadrel .1
%global serial 3
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-weld-3.1-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.1.0.SP1-redhat-00001

Name:           %{?scl_prefix}jboss-weld-3.1-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Weld APIs Parent
Group:          Development/Java

%if %with mead
Source100: weld-api-parent-3.1.0.SP1-redhat-00001-project-sources.tar.gz
Source102: weld-api-parent-3.1.0.SP1-redhat-00001.pom
Source103: weld-api-3.1.0.SP1-redhat-00001.jar
Source104: weld-spi-3.1.0.SP1-redhat-00001.pom
Source105: weld-api-parent-3.1.0.SP1-redhat-00001-javadoc.jar
Source106: weld-spi-3.1.0.SP1-redhat-00001-javadoc.jar
Source107: weld-api-3.1.0.SP1-redhat-00001.pom
Source108: weld-spi-3.1.0.SP1-redhat-00001-sources.jar
Source109: weld-spi-3.1.0.SP1-redhat-00001.jar
Source110: weld-api-3.1.0.SP1-redhat-00001-sources.jar
Source111: weld-api-bom-3.1.0.SP1-redhat-00001.pom
Source112: weld-api-3.1.0.SP1-redhat-00001-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://weld.cdi-spec.org
Obsoletes: %{?scl_prefix}jboss-weld-3.0-api < 0:3.1.0

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
APIs for Weld, the reference implementation of Contexts and Dependency Injection for Java EE.

%package -n %{?scl_prefix}jboss-weld-3.1-api-weld-api
Summary:        Weld APIs
Group:          Development/Java

Obsoletes: %{?scl_prefix}jboss-weld-3.0-api-weld-api < 0:3.1.0

%description -n %{?scl_prefix}jboss-weld-3.1-api-weld-api
Weld specifc extensions to the CDI API.

%package -n %{?scl_prefix}jboss-weld-3.1-api-weld-spi
Summary:        Weld SPIs for container integration
Group:          Development/Java

Obsoletes: %{?scl_prefix}jboss-weld-3.0-api-weld-spi < 0:3.1.0

%description -n %{?scl_prefix}jboss-weld-3.1-api-weld-spi
Weld SPIs for container integration.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-weld-3.1-api
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n weld-api-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/weld-api-%{namedversion}.jar %{buildroot}%{_javadir}/weld-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/weld-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/weld-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/weld-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/weld-api-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/weld-spi-%{namedversion}.jar %{buildroot}%{_javadir}/weld-spi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/weld-spi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/weld-spi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/weld-spi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/weld-spi-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/weld-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/weld-api-parent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/weld-api-%{namedversion} -x META-INF/\*
%{__ln_s} weld-api-%{namedversion} %{buildroot}%{_javadocdir}/weld-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE

%files -n %{?scl_prefix}jboss-weld-3.1-api-weld-api
%defattr(0644,root,root,0755)
%{_javadir}/weld-api-%{namedversion}.jar
%{_javadir}/weld-api.jar
%if %with javadoc
%{_javadir}/weld-api-%{namedversion}-javadoc.jar
%{_javadir}/weld-api-javadoc.jar
%endif
%{_javadir}/weld-api-%{namedversion}-sources.jar
%{_javadir}/weld-api-sources.jar

%files -n %{?scl_prefix}jboss-weld-3.1-api-weld-spi
%defattr(0644,root,root,0755)
%{_javadir}/weld-spi-%{namedversion}.jar
%{_javadir}/weld-spi.jar
%if %with javadoc
%{_javadir}/weld-spi-%{namedversion}-javadoc.jar
%{_javadir}/weld-spi-javadoc.jar
%endif
%{_javadir}/weld-spi-%{namedversion}-sources.jar
%{_javadir}/weld-spi-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/weld-api-%{namedversion}
%{_javadocdir}/weld-api
%endif

%changelog
* Thu Sep 19 2019 Yong Yang <yyang@redhat.com> - 3.1.0-3.SP1_redhat_00001.1
- RPM wrapper build 3.1.0.SP1-redhat-00001

* Tue Jun 11 2019 Permaine Cheung <pcheung@redhat.com> - 3.1.0-2.Final_redhat_00001.1
- Fix Obsoletes

* Thu May 23 2019 Permaine Cheung <pcheung@redhat.com> - 3.1.0-1.Final_redhat_00001.1
- 3.1.0.Final_redhat_00001-1

